Subject: bug#73898: MPV should not propagate all inputs

From: Antero Mejr <[email-masked]>
Date: Sun, 20 Oct 2024 02:33:37 +0000

Currently, MPV propagates most of its inputs, which is not correct.

When MPV tries to propagate a different version of a dependency (like
ffmpeg) that is a different version what is currently installed, Guix
operations will fail.

The source code in video.scm says that the inputs are propagated so
pkg-config will work, but that is not a valid reason. The pkg-config
file should be patched so that pkg-config will work without unnecessary
propagated-inputs.